import React from "react";

export const TreeHugger = (props) => {
    const width = props?.width ? props?.width : 114.658;
    const height = props?.height ? props?.height : 297.399;
    const color = props?.color ? props?.color : '#fff';
    return (
        <svg
            xmlns="http://www.w3.org/2000/svg"
            width={width}
            height={height}
            viewBox="0 0 114.658 297.399"
            {...props}
        >
            <g xmlns="http://www.w3.org/2000/svg" id="Sign" transform="translate(-71.922 -29.32)">
                <g id="Group_7" data-name="Group 7">
                    <path id="Path_3" data-name="Path 3" d="M129.16,29.32h1.98c2.24,1.25,3.29,3.32,4.27,5.62,3.32,7.7,4.52,15.85,5.73,24.07,1.51,10.3-.26,21.44,7.44,30.31,1.05,1.21,1.31,3.47,1.27,5.24-.27,11.44,3.88,21.73,7.93,32.07a12.486,12.486,0,0,0,3.65,5.2c5.33,4.49,6.73,10.08,4.31,16.51a11.554,11.554,0,0,0,.16,8.67c2.08,5.4,3.96,10.88,6.08,16.27.88,2.24.56,3.68-1.56,4.97-9.04,5.49-18.48,9.5-29.36,8.65-1.67-.13-3.2-.14-4.34-1.76-3.79-5.4-10.19-7.84-14.48-12.71-.84-.95-1.92-1.38-3-.34a2.156,2.156,0,0,0-.32,3.11c1.6,2.11,3.23,4.19,4.86,6.27,2.57,3.29,1.65,6.37-2.4,7.45a24.781,24.781,0,0,1-5.38.6c-4.28.18-8.58.19-12.86.43-1.77.1-4.19.24-4.22,2.51-.04,2.54,2.45,2.15,4.17,2.2,3.11.09,6.23.02,9.34.02-3.85,3.05-8.32,1.88-12.37,2.96-1.64.44-3.51.73-3.34,2.89.18,2.25,2.07,2.21,3.77,2.08,4.09-.3,8.18-.63,13.44-1.04-3.49,2.34-6.45,2.56-9.26,3.21-1.33.31-2.53.98-2.3,2.7.22,1.63,1.67,1.45,2.7,1.53,1.46.11,2.95-.27,4.42-.21,3.43.16,6.57-2.2,10.5-1.16-1.52,2.93-4.2,3.83-6.57,5.16-1.48.83-4.12,1.42-3.12,3.67,1.2,2.71,3.44.66,5.04-.01,2.88-1.2,5.62-2.75,8.44-4.12,9.67-4.72,19.57-8.87,30.43-9.59a51.762,51.762,0,0,0,15.83-3.52c5.29-2.09,7.6-1.08,7.47,4.77-.22,10.12,3.41,18.6,9.07,26.52v1.99c-5.43,9.3-2.85,18.59,0,27.89v1.99c-1.99,2.78-1.97,6.48-4.35,9.13-4.64,5.17-9.09,10.52-13.67,15.74a11.233,11.233,0,0,1-9.19,4.02c-5.6-.19-11.23-.09-16.79-.66-3.78-.39-4.14.93-3.62,4.15,1.43,8.83,2.53,17.72,3.92,26.56.59,3.76-.27,5.6-4.5,5.37-5.1-.28-10.23-.06-15.34-.07-6.14-.02-6.31-.28-5.48-6.62,1.08-8.22,2.09-16.45,3.09-24.68.38-3.09-.55-5.15-4.07-3.87-5.64,2.06-11.65,2.11-17.4,3.53-2.67.66-5.34.27-6.23-2.53-3.46-10.82-10.67-19.36-16.71-28.61-2.06-3.15-2.21-6.26-.52-10.06,4.32,5.24,8.83,9.76,14.86,11.83,12.89,4.42,25.03,10.12,35.63,18.86a3.2,3.2,0,0,0,.83.54c1.12.47,2.3.75,3.09-.46.87-1.33-.18-2-1.05-2.84-1.68-1.61-4.12-2.63-4.83-5.94,3.78,1.04,7.06,1.94,10.35,2.85,1.67.46,3.92,1.92,4.73-.38.85-2.42-1.88-2.44-3.44-3.08-1.28-.52-3.05-.34-3.44-2.39,3.23-.86,6.14.65,9.16,1,1.52.18,3.62,1.44,4.28-.82.76-2.62-1.88-2.64-3.43-3.23-2.6-.99-5.27-1.8-7.91-2.69a27.545,27.545,0,0,1,8.1-.37c1.29.08,2.89.55,3.21-1.27.31-1.79-1.43-1.99-2.59-2.43a18.23,18.23,0,0,0-3.35-.83c-3.73-.66-7.49-1.19-11.2-1.95-1.8-.37-3.56-1.27-4.09-3.22-.58-2.09.98-3.34,2.37-4.52,1.77-1.5,3.63-2.88,5.32-4.46.9-.85,2.2-1.94,1.11-3.36-1.1-1.44-2.45-.36-3.54.21-4.81,2.54-9.7,4.96-13.98,8.39a8.384,8.384,0,0,1-7.81,1.61c-13.74-3.13-24.81-10.39-33.64-21.3-3.62-4.47-3.51-5.38,1.25-8.44,2.38-1.53,4.94-2.81,4.92-6.24-.08-13.65,3.87-26.48,8.07-39.24,1.92-5.83,2.54-11.69.54-17.56a14.325,14.325,0,0,1,.54-10.64c1.81-4.26,3.47-8.59,6.02-12.5a30.412,30.412,0,0,0,5.12-13.79c.47-4.88,2.16-9.35,6.08-12.66a7.5,7.5,0,0,0,2.38-5.3c1.09-10.89,5.51-21.26,3.38-32.72-1.21-6.53,2.77-12.76,5.43-18.84,1.78-4.08,4.28-8.05,3.98-12.66C121.76,36.88,124.61,32.73,129.16,29.32Z"
                        fill={color}
                    />
                </g>
            </g>
        </svg>
    );
};


